# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(B/Hooks/OP/Check.pm) perl(ExtUtils/Depends.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/MakeMaker/CPANfile.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_name B-Hooks-OP-Check-LeaveEval
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.4
Release: alt4
Summary: call a subroutine when new code finishes compiling
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SN/SNEZ/%{module_name}-v%{version}.tar.gz

%description
This module allows to hook into every execution of the `leaveeval' opcode,
this happens when a new module is finished loading (either via `use' or `require')
or an `eval' is done.  Essentially, this means it will be called whenever new
code is finished compling.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md CHANGES
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.0.4-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.0.4-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt2
- rebuild with perl 5.30

* Fri Aug 28 2020 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1
- initial import by package builder

